aboutsummaryrefslogtreecommitdiffstats
path: root/integration/src/main/scripts/release
diff options
context:
space:
mode:
Diffstat (limited to 'integration/src/main/scripts/release')
-rwxr-xr-xintegration/src/main/scripts/release/releasePhase.sh15
-rwxr-xr-xintegration/src/main/scripts/release/updateRefs.sh20
2 files changed, 32 insertions, 3 deletions
diff --git a/integration/src/main/scripts/release/releasePhase.sh b/integration/src/main/scripts/release/releasePhase.sh
index e606ffb5..fd8397ff 100755
--- a/integration/src/main/scripts/release/releasePhase.sh
+++ b/integration/src/main/scripts/release/releasePhase.sh
@@ -374,12 +374,23 @@ release_phase_13() {
}
release_phase_14() {
- echo "Updating snapshots on policy/drools-applications, policy/gui . . ."
+ echo "Updating snapshots on policy/drools-applications, policy/gui and updating release data file . . ."
bumpSnapshots.sh \
-d "$release_data_file" \
-l "$repo_location" \
-i "$issue_id"
- echo "Updated snapshots on policy/drools-applications, policy/gui"
+ updateRefs.sh \
+ -f \
+ -d "$release_data_file" \
+ -l "$repo_location" \
+ -r "policy/parent"
+ generateCommit.sh \
+ -l "$repo_location" \
+ -r "policy/parent" \
+ -i "$issue_id" \
+ -e "update release data in policy/parent" \
+ -m "updated release data in policy/parent"
+ echo "Updated snapshots on policy/drools-applications, policy/gui and updated release data file"
}
case "$release_phase" in
diff --git a/integration/src/main/scripts/release/updateRefs.sh b/integration/src/main/scripts/release/updateRefs.sh
index 0f253f97..14f90d9a 100755
--- a/integration/src/main/scripts/release/updateRefs.sh
+++ b/integration/src/main/scripts/release/updateRefs.sh
@@ -54,6 +54,7 @@ usage()
echo " -o - update policy/drools-pdp references"
echo " -x - update policy/apex-pdp references"
echo " -k - update docker base images in Dockerfiles"
+ echo " -f - update release data in policy parent"
echo " -s - update release references to snapshot references,"
echo " if omitted, snapshot references are updated to release references"
echo ""
@@ -75,8 +76,9 @@ update_drools_pdp=false
update_apex_pdp=false
update_snapshot=false
update_docker=false
+update_file=false
-while getopts "hd:l:r:pcmoxks" opt
+while getopts "hd:l:r:pcmoxkfs" opt
do
case $opt in
h)
@@ -109,6 +111,9 @@ do
k)
update_docker=true
;;
+ f)
+ update_file=true
+ ;;
s)
update_snapshot=true
;;
@@ -411,3 +416,16 @@ then
exit 1
fi
fi
+
+if [ "$update_file" = true ]
+then
+ if [ ! "$target_repo" = "policy/parent" ]
+ then
+ echo "update of data file can only be done on the policy/parent repo"
+ exit 1
+ fi
+
+ echo "updating release data at $repo_location/$target_repo/integration/src/main/resources/release . . ."
+ cp "$release_data_file" "$repo_location/$target_repo"/integration/src/main/resources/release
+ echo "updated release data at $repo_location/$target_repo/integration/src/main/resources/release"
+fi